package com.saye.hospitalgd.mapper.system;

import com.saye.hospitalgd.model.ServiceParams;

import java.util.HashMap;
import java.util.List;

public interface ServiceParamsMapper {
	//对业务参数列表进行增删查改
	public List<ServiceParams> selectServiceParams(HashMap<String,String> map);

	//新增
	public int insertServiceParams(ServiceParams sp);
	//修改
	public int updateServiceParams(ServiceParams sp);
	
	//删除
	public int deleteServiceParams(String paramId);
	

	public List<HashMap<Object,Object>> findParamVal()throws Exception;

	
	public List<HashMap<Object, Object>> findParamValByParamCode(String code) throws Exception;

	public void updateServiceParamsValBycode(HashMap<String, String> map);

}
